import { requests } from './index';
const PREFIX = 'api-marketing/';
import config from '@/config';
//短信群发列表
export const LoadMessageList = params => requests(PREFIX + 'page-marketing-message', params);

//查看详情
export const LoadMessageDetail = params => requests(PREFIX + 'get-market-message-detail', params);

//短信群发--查看详情--发送记录
export const LoadMessageDetailList = params => requests(PREFIX + 'market-message-detail-send-list', params);

//模板库--分页列表
export const LoadLibList = params => requests(PREFIX + 'page-message-template', params);

//模板库--分页列表 （有效）
export const LoadTempList = params => requests(PREFIX + 'load-message-templateList', params);

//模板库--新建或保存
export const saveTempService = params => requests(PREFIX + 'save-update-message-template', params);

//模板库--修改--回显短信模板信息
export const LoadTempInfo = params => requests(PREFIX + 'get-message-templateInfo', params);

// 模板库-校验屏蔽词
export const checkSmsContext = params => requests(PREFIX + 'checkSmsContext', params);

//短信群发--失效
export const invalidsmsRecord = params => requests(PREFIX + 'stop-message-TimedTask', params);

//模板库--删除短信模板信息
export const delTempService = params => requests(PREFIX + 'delete-message-template', params);

//短信群发--查看详情--下载发送记录Excel
export const exportSmsExcel = config.api + PREFIX + 'export-sms-sendlog-excel';

//短信群发--保存群发
export const saveSendSmsService = params => requests(PREFIX + 'save-marketing-message', params);

//短信群发--禁用导入群发
export const stopSmsImportPlanTimer = params => requests(PREFIX + 'stop-sms-import-plan-timer', params);

//短信群发, 微信群发前查看筛选人数
export const checkMessageSendCount = params => requests(PREFIX + 'check-message-send-count', params);

// 短信群发--导入群发列表
export const pageSmsImportPlan = params => requests(PREFIX + 'page-sms-import-plan', params);

// 短信群发-短信导入计划详情(详情接口一)/新建获取计划主键id
export const getSmsImportPlanDetail = params => requests(PREFIX + 'get-sms-import-plan-detail', params);

// 短信群发-
export const smsSmportPlanLogPage = params => requests(PREFIX + 'sms-import-plan-log-page', params);

// 短信群发-保存导入短信群发
export const saveImportSmsPlan = params => requests(PREFIX + 'save-import-sms-plan', params);

// 短信群发-分页查询黑名单
export const getBlackList = params => requests(PREFIX + '/page-black-user-list', params);

// 短信群发-新增黑名单列表
export const addBlackList = params => requests(PREFIX + '/add-black-user-list', params);

// 短信群发-移除黑名单
export const removeBlackList = params => requests(PREFIX + '/remove-black-user', params);

// 短信群发-导入短信群发手机号文件
export const importSmsSendPhone = PREFIX + 'import-sms-send-phone';

// 卡券营销--导入短信群发--下载模板
export const downloadOImportSmsTemp = config.api + PREFIX + 'download-import-sms-temp?requestProject=marketing';

// 卡券营销--导入短信群发--导出发送人群
export const exportSmsImportPlanLog = config.api + PREFIX + 'export-sms-import-plan-log';

//ecm查看筛选人数
export const checkEcmSendCount = params => requests(PREFIX + 'check-ecm-send-count', params);

// 短信群发-删除前查询是否关联活动
export const queryBusiCommonCheck = params => requests('/api-plug/query-busi-common-check', params, true, false, 'get');

//引流链接列表
export const hmList = params => requests(PREFIX + '/list-hm-link', params);

//创建引流活码链接
export const hmLink = params => requests(PREFIX + '/build-hm-link', params);
